/*
 * Copyright 2024, AutoMQ CO.,LTD.
 *
 * Use of this software is governed by the Business Source License
 * included in the file BSL.md
 *
 * As of the Change Date specified in that file, in accordance with
 * the Business Source License, use of this software will be governed
 * by the Apache License, Version 2.0
 */

package kafka.autobalancer.listeners;

import org.apache.kafka.common.metadata.PartitionChangeRecord;
import org.apache.kafka.common.metadata.PartitionRecord;
import org.apache.kafka.common.metadata.RemoveTopicRecord;
import org.apache.kafka.common.metadata.TopicRecord;

public interface TopicPartitionStatusListener {
    void onTopicCreate(TopicRecord record);

    void onTopicDelete(RemoveTopicRecord record);

    void onPartitionCreate(PartitionRecord record);

    void onPartitionChange(PartitionChangeRecord record);
}
